Announcement Announcement Module
Collapse
No announcement yet.
Grails support not working Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Grails support not working

    Hi

    I've just installed STS 2.3.0. I have followed the steps to add the grails extension. I can now create grails projects but I have several problems :

    1 - When I create a grails project, it does not appear in my package explorer view, I have to re-import it after the creation

    2 - When I run a grails command, it terminates very quickly and nothing happens. I do not have any information in the error log view nor in the log file. Is there any way to activate some traces to understand what happens.

    Regards
    Sebastien

  • #2
    Sebastien,

    can you provide some more information about your installation? Operating System, install location, what version of STS, JDK version, etc.

    Do you see any output in the console window of STS?

    Christian

    Comment


    • #3
      Hi

      I'am using STS 2.3.0 on windows XP. I am using JRE 1.6 (1.6.0_16)

      My main problem is that I see nothing in the sts console window. When I launch a grails command, it just show me an empty console when it says that the run is terminated.

      I guess I have a configuration problem but I can't find any clue of that problem in the log file.

      If there is some way to make sts more verbose I can do that

      Regards
      Sebastien

      Comment


      • #4
        Hi

        As it seems that this is an unusual problem, I have dropped my workspace. With my new workspace, grails command works fine. I don't know what was the problem.

        If you want me to investigate further, you can give some recommandations on how to turn on debug log to see what happens

        Comment


        • #5
          i'm having the same problem
          changing the workspace didn't help in my case - still getting the "terminated" message when trying to create a grails-project

          also using sts 2.3.0 on windows xp, with groovy 1.6.3 and grails 1.2.0

          regards,
          niko

          Comment


          • #6
            Hi niko,

            I presume you are using the New Grails project wizard to create your project? What is the install path for your grails 1.2.0? Do you see anything relevant in the eclipse error log "Windows>ShowView>ErrorLog"

            Have you tried creating the project outside and then importing it?

            cheers,
            Andy
            ---
            Andy Clement
            Groovy/Eclipse Development

            Comment


            • #7
              Hi Andy,

              there is the following log-message:
              org.eclipse.core.runtime.CoreException: The following connectors are not available: Grails Support (id=com.springsource.sts.grails, site=http://dist.springsource.com/release/TOOLS/update/extensions/e3.5), Groovy Eclipse (id=org.codehaus.groovy.eclipse.feature, site=http://dist.springsource.com/release/TOOLS/update/extensions/e3.5)
              at org.eclipse.mylyn.internal.discovery.ui.PrepareIns tallProfileJob_e_3_5.doRun(PrepareInstallProfileJo b_e_3_5.java:299)
              at org.eclipse.mylyn.internal.discovery.ui.PrepareIns tallProfileJob_e_3_5.run(PrepareInstallProfileJob_ e_3_5.java:91)
              at org.eclipse.jface.operation.ModalContext$ModalCont extThread.run(ModalContext.java:121)

              I just wonder, why sts is missing the Grails Support, because the extension is installed and i have the following jars in my plugins-folder:
              com.springsource.sts.grails.core_2.3.0.20091217133 1-RELEASE.jar
              com.springsource.sts.grails.editor.groovy_2.3.0.20 0912171331-RELEASE.jar
              com.springsource.sts.grails.editor.gsp_2.3.0.20091 2171331-RELEASE.jar
              com.springsource.sts.grails.ui_2.3.0.200912171331-RELEASE.jar

              grails also seems to be configured correctly in the preferences (in my case "C:\Daten\Development\java\grails-1.2.0\")

              Comment


              • #8
                Hi niko,

                the error that you posted is not related to the ability to create a Grails project.

                What JDK are you using? What is the installation location of STS and what is the path to your workspace?

                Once I have that information, I'll try to re-create your environment.

                Thanks, Christian

                Comment


                • #9
                  Hi,

                  i'm using jdk1.6.0_18
                  The installation-location of STS is C:\Daten\Development\java\springsource
                  Release is springsource-tool-suite-2.3.0.RELEASE-e3.5.1-win32.zip
                  The workspace-location is C:\Daten\Development\java\projects\sts

                  Regards,
                  Niko

                  Comment


                  • #10
                    new workspace

                    i had the same problems, grails support not working with any of the commands, create-app, run-app. creating a new workspace helped.

                    Comment


                    • #11
                      it worked when i created a new grails project.
                      after importing an existing grails project it did not include the grails lib and the console view flickered aggressively. i think this problem needs further investigation

                      Comment


                      • #12
                        is there any update on this issue?

                        Comment


                        • #13
                          @Cuneyt

                          Did you see any errors in your error log related to this?

                          Do you see this problem when you import any existing grails project, or only a particular one?

                          Does the grails version of the project being imported match the version/versions installed in the workspace?

                          Comment


                          • #14
                            @Andy
                            have you been able to reproduce the error i described?
                            please let me know if should provide more information

                            regards,
                            niko

                            Comment


                            • #15
                              Hi Niko,

                              As far as I know, none of us have been able to recreate your problem. Have you tried Andy's suggestion to create the project outside of STS and then import it? After importing, you will have to explicitly add the grails nature (Select Project -> Right click -> Configure -> Convert to Grails Project).

                              Also, make sure that the Grails installation is valid.

                              Comment

                              Working...
                              X